# tclmore.m4 --
#
# Every extension based upon tclmore should include
# this file in its configure script.

AC_DEFINE([TCLMORE_QUOTED_VERSION], ["0.7"])
AC_SUBST([TCLMORE_VERSION], [0.7])
AC_SUBST([TCLMORE_XVERSION], [0.7.1])

AC_CHECK_HEADERS([tclmoreDecls.h])
AC_CHECK_HEADERS([tclmore.h])

AC_ARG_WITH([tclmorescripts],
    AC_HELP_STRING([--with-tclmorescripts],
        [The path to the tclmore development scripts.]),
[
    TCLMORE_DEV_SCRIPTS_DIR=${withval}
], [
    TCLMORE_DEV_SCRIPTS_DIR=
])
AC_SUBST([TCLMORE_DEV_SCRIPTS_DIR], [${TCLMORE_DEV_SCRIPTS_DIR}])

AC_ARG_ENABLE([tclmoresymbols],
    AC_HELP_STRING([--enable-tclmoresymbols],
	[Search version of tclmore with symbols]),
[
    AC_CHECK_LIB([tclmorestub0.7g],
	[More_InitStub],,,[-ltclstub8.4g])
], [
    AC_CHECK_LIB([tclmorestub0.7],
	[More_InitStub],,,[-ltclstub8.4])
])

echo "@macro tclmoreversion{{}}
0.7
@end macro" >tclmoreversion.texiinc

### end of file
# Local Variables:
# mode: sh
# End:
